#include <bits/stdc++.h>
using namespace std;

using ll=long long;
using ld=long double;
using vi=vector<int>;
using ii=pair<int, int>;

#define FOR(i,a,b) for(int i=a; i < b; i++)
#define F(x) FOR(i, 0, x)
#define FF(n) FOR(j, 0, n)
#define aa first
#define bb second
#define PB push_back
#define MX 1000007

ll dp[MX];

vector<int> erat(int upTo) {
  vector<bool> v(upTo + 1, false);
  vector<int> sp(upTo + 1, 0);
  for (int i = 2; i <= upTo; ++ i) {
    if (!v[i]) {
      for (int j = 2*i; j <= upTo; j += i) {
        if (!v[j]) {
          v[j] = true;
          sp[j] = i;
        }
      }
      sp[i] = i;
    }
  }
  sp[1] = 1;
  return sp;
}

void getDivs(vector<int> & res, vector<pair<int,int>>& divs, int t, int i) {
  if (i >= divs.size()) {
    res.push_back(t);
    return;
  }
  int n = t;
  for (int j = 0; j <= divs[i].second; ++ j) {
    getDivs(res, divs, n, i + 1);
    n *= divs[i].first;
  }
}

vector<pair<int,int>> fastFactors(int n, vector<int> &sieve) {
  int c;
  vector<pair<int,int>> divs;

  if (sieve[n] == 1)
    divs.push_back({sieve[n], 0});
  else
    divs.push_back({sieve[n], 1});

  n /= sieve[n];
  while (n != 1) {
    c = sieve[n];
    if (divs.back().first != c) {
      divs.push_back({c, 1});
    } else {
      divs.back().second++;
    }
    n = n/sieve[n];
  }
  return divs;
}

vector<int> fastDivs(int n, vector<int> &si) {
  vector<pair<int,int>> divs = fastFactors(n, si);
  vector<int> exp(divs.size(), 0);
  vector<int> result;

  getDivs(result, divs, 1, 0);
  return result;
}

vector<int> era;

void solve() {
  ll x; scanf("%lld", &x);
  vector<int> dv = fastDivs(x, era);
  ll res = 0;
  F(dv.size()-1) {
    if (i==0) continue;
    res += dp[dv[i]];
    if (x/dv[i] % dv[i] == 0 && dp[dv[i]] >= 2) res -= 2;
  }
  res += dp[x]*3;
  printf("%lld\n", res/6);
}

int main() {

  cout << "start" << endl;
  era = erat(MX);
  cout << "s" << endl;
  F(MX) {
    if (!i) continue;
    dp[i] = 2*(fastDivs(i, era).size()/2)- 2;
  }
  F(200) {
    cout << i << ": " << dp[i] << endl;
  }
  cout << "pre" << endl;
  ll t; scanf("%lld", &t);
  F(t) {
    solve();
  }
  return 0;
}

